import 'package:flutter/material.dart';

import '../splash/widgets/countdown.dart';
import 'package:flutter/widgets.dart';
import 'package:get/get.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../home/index.dart';

class SplashScreen extends StatefulWidget {
  const SplashScreen({Key? key}) : super(key: key);

  @override
  State<SplashScreen> createState() => _SplashScreen();
}

class _SplashScreen extends State<SplashScreen> {
  handleOnFinish() {
    // Get.off(const Home());
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Container(
      decoration: const BoxDecoration(
        image: DecorationImage(
            image: AssetImage("images/splash.png"),
            fit: BoxFit.cover,
            alignment: Alignment.topCenter),
      ),
      child: Stack(
        children: [
          Positioned(
            right: 15.w,
            top: 50.h,
            child: countdown(3, handleOnFinish),
          ),
          Column(
            children: [
              Container(
                child: Positioned(
                  bottom: 0,
                  child: Image.asset(
                    'images/logo.png',
                    width: 100,
                    height: 100,
                  ),
                ),
              ),
              Container(),
            ],
          ),
        ],
      ),
    ));
  }
}
